PGREP(1)

NAMN
pgrep, pkill, pwait — slå upp, signalera eller vänta på processer baserat på namn och andra attribut

SYNOPSIS
pgrep [flaggor] mönster
pkill [flaggor] mönster
pwait [flaggor] mönster

BESKRIVNING
pgrep letar igenom de just nu körande processerna och listar de process-ID:n som matchar urvalskriterierna till standard ut. Alla kriterierna måste matcha. Till exempel,

    $ pgrep -u root sshd

kommer endast lista processerna som heter sshd OCH ägs av root. Å andra sidan,

    $ pgrep -u root,daemon

kommer lista processerna som ägs av root ELLER daemon.

pkill kommer skicka den angivna signalen (SIGTERM som standard) till varje process istället för att lista dem på standard ut.

pwait kommer vänta på varje process istället för att räkna upp dem på standard ut.

FLAGGOR

-signal
--signal signal
    Definierar signalen att skicka till varje matchad process. Både det numeriska eller det symboliska signalnamnet kan användas. (Endast pkill.)

-c, --count
    Suppress normal output; instead print a count of matching processes. When count does not match anything, e.g. returns zero, the command will return non-zero value. Note that for pkill and pwait, the count is the number of matching processes, not the processes that were successfully signaled or waited for.

-d, --delimiter avgränsare
    Sätter strängen som används för att avgränsa varje process-ID i utdata (nyrad som standard). (Endast pgrep.)

-e, --echo
    Display name and PID of the process being killed. (pkill only.)

-f, --full
    Mönstret matchas normalt endast mot processnamnet. När -f anges används hela kommandoraden.

-g, --pgroup pgrp,…
    Only match processes in the process group IDs listed. Process group 0 is translated into pgrep's, pkill's, or pwait's own process group.

-G, --group gid,…
    Matcha endast processer vars verkliga grupp-ID listas. Både det numeriska och det symboliska värdet kan användas.

-i, --ignore-case
    Matcha processer skiftlägesokänsligt.

-l, --list-name
    Lista processnamnet såväl som process-ID:t. (Endast pgrep.)

-a, --list-full
    Lista den fullständiga kommandoraden såväl som process-ID:t. (Endast pgrep.)

-n, --newest
    Välj endast den nyaste (senast startade) av de matchande processerna.

-o, --oldest
    Välj endast den äldsta (minst nyligen startade) av de matchande processerna.

-O, --older secs
    Välj processer som är äldre än sek.

-P, --parent fpid,…
    Matcha endast processer vars föräldraprocess-ID listas.

-s, --session sid,…
    Matcha endast processer vars processessions-ID listas. Sessions-ID 0 översätts till pgreps, pkills eller pwaits eget sessions-ID.

-t, --terminal term,…
    Matcha endast processer vars styrande terminal listas. Terminalnamnet skall anges utan prefixet ”/dev/”.

-u, --euid eaid,…
    Matcha endast processer vars effektiva användar-ID listas. Både det numeriska och symboliska värdet kan användas.

-U, --uid aid,…
    Matcha endast processer vars verkliga användar-ID listas. Både det numeriska och symboliska värdet kan användas.

-v, --inverse
    Negerar matchningen. Denna flagga används oftast i pgreps eller pwaits sammanhang. I pkills sammanhang är den korta flaggan avaktiverad för att undvika att flaggan används av misstag.

-w, --lightweight
    Visar alla tråd-id:n istället för pid:n i pgreps eller pwaits sammanhang. I pkills sammanhang är denna flagga avaktiverad.

-x, --exact
    Only match processes whose names (or command lines if -f is specified) exactly match the pattern.

-F, --pidfile fil
    Read PIDs from file. This option is more useful for pkillorpwait than pgrep.

-L, --logpidfile
    Fail if pidfile (see -F) not locked.

-r, --runstates D,R,S,Z,…
    Matcha endast processer som matchar processtillståndet.

--ns pid
    Match processes that belong to the same namespaces. Required to run as root to match processes from other users. See --nslist for how to limit which namespaces to match.

--nslist namn,…
    Matcha endast de angivna namnrymderna. Tillgängliga namnrymder: ipc, mnt, net, pid, user, uts.

-q, --queue värde
    Använd sigqueue(3) istället för kill(2) och värdeargumentet används för att ange ett heltal att skickas med signalen. Om den mottagande processen har installerat en hanterare för denna signal med flaggan SA_SIGINFO till sigaction(2) så kan den hämta denna data via fältet si_value i posten siginfo_t.

-V, --version
    Visa versionsinformation och avsluta.

-h, --help
    Visa hjälp och avsluta.

OPERANDER

mönster
    Specificerar ett utökat reguljärt uttryck att matcha mot processnamnen eller kommandoraderna.

EXEMPEL
Exempel 1: Hitta process-ID:t för demonen named:

    $ pgrep -u root named

Exempel 2: Få syslog att läsa om sin konfigurationsfil:

    $ pkill -HUP syslogd

Exempel 3: Ge detaljerad information om alla xterm-processer:

    $ ps -fp $(pgrep -d, -x xterm)

Exempel 4: Få alla chrome-processer köra med nice:

    $ renice +4 $(pgrep chrome)

SLUTSTATUS
0   One or more processes matched the criteria. For pkill and pwait, one or more processes must also have been successfully signalled or waited for.
1   Inga processer matchade eller inga av dem kunde signaleras.
2   Syntaxfel på kommandoraden.
3   Ödesdigert fel: slut på minne etc.

OBSERVERA
The process name used for matching is limited to the 15 characters present in the output of /proc/pid/stat. Use the -f option to match against the complete command line, /proc/pid/cmdline.

The running pgrep, pkill, or pwait process will never report itself as a match.

FEL
Flaggorna -n och -o och -v kan inte kombineras. Berätta för mig om du behöver kunna göra detta.

Döda (defunct) processer rapporteras.

SE ÄVEN
ps(1), regex(7), signal(7), sigqueue(3), killall(1), skill(1), kill(1), kill(2)

UPPHOVSMAN
Kjetil Torgrim Homme (kjetilho@ifi.uio.no)

RAPPORTERA FEL
Skicka felrapporter till procps@freelists.org Skicka synpunkter på översättningen till tp-sv@listor.tp-sv.se